> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem Invitation Code

> Redeem an invitation code for SDK tokens.

Public endpoint (no authentication required). Exchanges a valid,
non-expired, single-use invitation code for access_token, refresh_token,
and user_id.



## OpenAPI

````yaml https://api.openwearables.io/openapi.json post /api/v1/invitation-code/redeem
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/invitation-code/redeem:
    post:
      tags:
        - 'External: Mobile SDK'
      summary: Redeem Invitation Code
      description: |-
        Redeem an invitation code for SDK tokens.

        Public endpoint (no authentication required). Exchanges a valid,
        non-expired, single-use invitation code for access_token, refresh_token,
        and user_id.
      operationId: redeem_invitation_code_api_v1_invitation_code_redeem_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserInvitationCodeRedeem'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationCodeRedeemResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserInvitationCodeRedeem:
      properties:
        code:
          type: string
          maxLength: 8
          minLength: 8
          pattern: ^[A-Z2-9]{8}$
          title: Code
      type: object
      required:
        - code
      title: UserInvitationCodeRedeem
      description: API input for redeeming an invitation code.
    InvitationCodeRedeemResponse:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
          default: bearer
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
        user_id:
          type: string
          format: uuid
          title: User Id
      type: object
      required:
        - access_token
        - user_id
      title: InvitationCodeRedeemResponse
      description: Redeem response with user_id included.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````